Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops.exception
Class DataModifiedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.UserException
                      com.sun.mdm.index.ops.exception.DataModifiedException

All Implemented Interfaces:
  java.io.Serializable

public class DataModifiedException
extends UserException

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DataModifiedException()` Creates a new instance of DataModifiedException.
`DataModifiedException(java.lang.String msg)` Creates a new instance of DataModifiedException.
`DataModifiedException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of DataModifiedException.
`DataModifiedException(java.lang.Throwable t)` Creates a new instance of DataModifiedException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataModifiedException

    public DataModifiedException()

  Creates a new instance of DataModifiedException.

### DataModifiedException

    public DataModifiedException(java.lang.String msg)

  Creates a new instance of DataModifiedException.

  Parameters:
    `msg` - String message.

### DataModifiedException

    public DataModifiedException(java.lang.String msg,
                                 java.lang.Throwable t)

  Creates a new instance of DataModifiedException.

  Parameters:
    `msg` - Error message
    `t` - Chained exception

### DataModifiedException

    public DataModifiedException(java.lang.Throwable t)

  Creates a new instance of DataModifiedException.

  Parameters:
    `t` - Chained exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.